Subject: Re: [Lsr] some doubts about RFC3101

From: meicong <[email-masked]>
Date: Fri, 6 Dec 2019 01:40:37 +0000

Hi Acee,
Thanks for your answer.
In the example,
If the type-5 lsa is originated by the ASBR that in the normal area,
the other router in the normal area will use the type-5 lsa,
for the ASBR is reachable in the normal area,
and there is (128.185.1.0, 0xffffff00) inter-area route that be orignated by the abr in routing table of  other router,
and the calculated result for the type-5 lsa is path to the abr,
but there is no path on the abr, because the route (128.185.1.0, 0xffffff00) is intra-route of Nssa area on the abr.
In the scenario, the fowarding address is advertised by differnet router in different capable area with different netmask.
It maybe fall under a configed error, but the result of the calculate result seems wrong.
What is your opinion for it?
Regards

发件人: Acee Lindem (acee) [mailto:[email-masked]]
发送时间: 2019年12月5日 20:40
收件人: meicong <[email-masked]>; [email-masked]
主题: Re: [Lsr] some doubts about RFC3101

Hi Meicong,

From: Lsr <[email-masked]<mailto:[email-masked]>> on behalf of meicong <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 5, 2019 at 4:48 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Lsr] some doubts about RFC3101

Hi All,
Could you please provide clarification for following section 2.5.(3) in rfc3101.

          If the forwarding address is non-zero look up the forwarding
          address in the routing table.  For a Type-5 LSA the matching
          routing table entry must specify an intra-area or inter-area
          path through a Type-5 capable area.  For a Type-7 LSA the
          matching routing table entry must specify an intra-area path
          through the LSA's originating NSSA.  If no such path exists
          then do nothing with this LSA and consider the next in the
          list.
          [NSSA]

In the section, the matching routing table entry of the forwarding address is limited("an intra-area or inter-area path through a Type-5 capable area" or "an intra-area path through the LSA's originating NSSA").
If the best matching routing table entry for the forwarding address does not match the limited, the secondory best matching routing table entry should be find or not?

e.g., the forwarding address of a Type-5 LSA is 128.185.1.1,
and there are two routing table entry int the routing table on the abr,
(128.185.1.0, 0xffffff00) intra-area route of the NSSA area,
(128.185.0.0, 0xffff0000) intra-area route of the normal area(Type-5 capable area),
The path of the forwarding address should be consider as exist or not?

The short answer is no. The OSPF AS-External LSA should not be used since the forwarding address is not reachable through a normal area. As one would expect, the route lookup is always a longest prefix lookup. Note that having NSSA routes implies that the computing OSPF router is an ABR with both normal and NSSA area(s). One would expect that prefix being computed would also have a corresponding OSPF NSSA LSA that would satisfy the reachability check. If not, something in the OSPF routing design is broken.

Hope this helps,
Acee

Regards

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 6 Dec 2019 12:22:39 +0000

Hi Meicong,
The problem is that the subnet 128.185.1.0/255.255.255.0 is seemly in two places in the network. It is both an intra-area subnet withins the NSSA and a directly attached subnet on one of the ASBR’s OSPF interfaces. The ASBR should not advertise it as a forwarding address if it is not a directly attached subnet on an OSPF interface. Refer to section 2.3 in RFC 2328.
Thanks,
Acee

From: meicong <[email-masked]>
Date: Thursday, December 5, 2019 at 8:40 PM
To: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] some doubts about RFC3101

Hi Acee,
Thanks for your answer.
In the example,

Hi Meicong,

Hi All,

Hope this helps,
Acee

Regards

---

From: meicong <[email-masked]>
Date: Mon, 9 Dec 2019 14:10:45 +0000

Hi Acee,

The subnet 128.185.1.0/255.255.255.0 is an intra-area of the NSSA area,
and subnet 128.185.0.0/255.255.0.0 is a directly attached subnet on the ASBR that originate the type-5 LSA.
The fowarding address of the type-5 LSA is 128.185.1.1.

There are two subnet seemly same but different netmask in the network
128.185.1.0/255.255.255.0 intra-area route of nssa area,
128.185.0.0/255.255.0.0 intra-area route of normal area.

Maybe we could say it is a config error,
but what should be the result?
Regards

发送时间: 2019年12月6日 20:23

Hi Meicong,

From: meicong <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 5, 2019 at 8:40 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] some doubts about RFC3101

Hi Acee,
Thanks for your answer.
In the example,

发件人: Acee Lindem (acee) [mailto:[email-masked]]
发送时间: 2019年12月5日 20:40
收件人: meicong <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
主题: Re: [Lsr] some doubts about RFC3101

Hi Meicong,

Hi All,

Hope this helps,
Acee

Regards

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 9 Dec 2019 15:20:18 +0000

Hi Meicong,

From: Lsr <[email-masked]> on behalf of meicong <[email-masked]>
Date: Monday, December 9, 2019 at 9:12 AM
To: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Lsr] 答复: some doubts about RFC3101

Hi Acee,

This is broken. Nobody within the NSSA will be able to reach hosts within the 128.155.1/24 subnet that are on the ASBR’s directly attached network.

There is no “Maybe” about it.

but what should be the result?
It is working as designed.
Hope this helps,
Acee

Regards

Hi Meicong,

Hi Acee,
Thanks for your answer.
In the example,

Hi Meicong,

Hi All,

Hope this helps,
Acee

Regards